import request from '@/utils/request'
import { URL } from '@/config'

export function getBaseList(params) {
  return request({
    url: URL.edu.classes.getList,
    method: 'get',
    params,
  })
}

export function doEdit(data) {
  return request({
    url: URL.edu.classes.doEdit,
    method: 'post',
    data,
  })
}

export function doDelete(data) {
  return request({
    url: URL.edu.classes.doDelete,
    method: 'post',
    data,
  })
}

export function editClassState(data) {
  return request({
    url: URL.edu.classes.editClassState,
    method: 'post',
    data,
  })
}
